post
https://{jfrog_url}/jfconnect/api/v1/offline/register
Posts the entitlements to the air-gapped JPD through the JFConnect microservice.
This request requires two values obtained from the Post Offline Request Token to JFrog Entitlements Service API (POST https://jes.jfrog.io/api/v1/offline_register):
entitlements- theentitlements.jsonfile saved from the response body.offline_response_token- the token returned in the response header.
Sample usage:
curl -L -H 'Authorization: Bearer <TOKEN>' \
-X POST 'http://<JFROG_PLATFORM_URL>:8082/jfconnect/api/v1/offline/register' \
--form '[email protected];type=application/json' \
--form 'offline_response_token=<offline_response_token>'
Warning: You must use the offline_response_token (returned during offline registration). Do not use the offline_request_token from the start register step. The API request fails if the incorrect token is used.
Security: Requires Platform Admin privileges.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
400Bad Request - Invalid entitlements data
401Unauthorized user
403Action not permitted for this account
500Internal Server Error
